.wp-block-woocommerce-checkout input[type=email],
.wp-block-woocommerce-checkout input[type=number],
.wp-block-woocommerce-checkout input[type=password],
.wp-block-woocommerce-checkout input[type=tel],
.wp-block-woocommerce-checkout input[type=text],
.wp-block-woocommerce-checkout select,
.wp-block-woocommerce-checkout textarea {
    position: relative;
    display: block;
    border-radius: 10px !important;
    border: 1px solid var(--theme-gray-3) !important;
    background-color: var(--theme-white) important;
    width: 100% !important;
    height: 60px !important;
    color: var(--theme-text-color) !important;
    font-size: 18px !important;
    font-family: var(--text-font) !important;
    font-weight: 400 !important;
    font-style: normal;
    padding-left: 25px !important;
    padding-right: 35px !important;
    transition: all 500ms ease;
    box-shadow: 0px 0px 60px 0px rgba(2, 2, 2, 0.07) !important;
}

.wc-block-components-totals-coupon__form input[type=text],
.wc-block-components-totals-coupon__form input[type=number],
.wc-block-components-totals-coupon__form input[type=tel],
.wc-block-components-totals-coupon__form input[type=password],
.wc-block-components-totals-coupon__form input[type=url] {
    position: relative;
    display: block;
    border-radius: 10px !important;
    border: 1px solid var(--theme-gray-3) !important;
    background-color: var(--theme-white) important;
    width: 100% !important;
    height: 45px !important;
    color: var(--theme-text-color) !important;
    font-size: 18px !important;
    font-family: var(--text-font) !important;
    font-weight: 400 !important;
    font-style: normal;
    padding-left: 25px !important;
    padding-right: 35px !important;
    transition: all 500ms ease;
    box-shadow: 0px 0px 60px 0px rgba(2, 2, 2, 0.07) !important;
}

.wp-block-woocommerce-checkout input[type=email]:focus,
.wp-block-woocommerce-checkout input[type=number]:focus,
.wp-block-woocommerce-checkout input[type=password]:focus,
.wp-block-woocommerce-checkout input[type=tel]:focus,
.wp-block-woocommerce-checkout input[type=text]:focus,
.wp-block-woocommerce-checkout input[type=url]:focus,
.wp-block-woocommerce-checkout select:focus,
.wp-block-woocommerce-checkout textarea:focus,
.wc-block-components-totals-coupon__form input[type=text]:focus,
.wc-block-components-totals-coupon__form input[type=number]:focus,
.wc-block-components-totals-coupon__form input[type=tel]:focus,
.wc-block-components-totals-coupon__form input[type=password]:focus,
.wc-block-components-totals-coupon__form input[type=url]:focus {
    outline: none !important;
    border-color: var(--theme-blue-3) !important;
}

.wc-block-grid__products .wc-block-grid__product-image img {
    height: auto;
    max-width: 100%;
    width: 100%;
    border-radius: 15px;
    background: var(--theme-white);
    padding: 5px;
}

.wc-block-grid__product .wc-block-grid__product-link {
    text-decoration: none;
    color: var(--theme-gray-4);
    transition: all 50ms ease-in-out;
}

.wc-block-grid__product .wc-block-grid__product-link:hover {
    text-decoration: none;
    color: var(--theme-yellow);
    transition: all 50ms ease-in-out;
}

.wp-block-button__link,
.wc-block-components-totals-coupon__button,
.wc-block-cart__submit-button,
.wc-block-components-checkout-place-order-button {
    text-decoration: none;
    position: relative;
    display: inline-block;
    overflow: hidden;
    vertical-align: middle;
    line-height: 24px;
    font-weight: 700;
    font-family: var(--title-font);
    text-align: center;
    padding: 10px 20px !important;
    font-size: 0.8rem !important;
    border-radius: 40px !important;
    text-transform: uppercase;
    z-index: 1;
    transition: color 500ms ease;
    color: var(--theme-black);
    background: var(--theme-yellow);
    border: 1px solid var(--theme-yellow);
    transition: all 50ms ease-in-out;
}

.wp-block-button__link:hover,
.wc-block-components-totals-coupon__button:hover,
.wc-block-cart__submit-button:hover,
.wc-block-components-checkout-place-order-button:hover {
    color: var(--theme-white);
    background: var(--theme-blue-3);
    border: 1px solid var(--theme-blue-3);
    transition: all 50ms ease-in-out;
}

.wp-block-woocommerce-product-new {
    padding: 3rem 0 !important;
}

.wc-block-grid .wc-block-grid__product-onsale,
.wc-block-grid__product-image .wc-block-grid__product-onsale {
    background: linear-gradient(90deg, #ffa001 60%, #ff5e00 100%);
    border: 0;
    border-radius: 4px;
    color: #ffffff;
    display: inline-block;
    font-size: .875em;
    font-weight: 600;
    padding: .25em .75em;
    position: absolute;
    right: 4px;
    text-align: center;
    text-transform: uppercase;
    top: 15px;
    width: auto;
    z-index: 9;
    right: 5px;
}

.wc-block-components-quantity-selector>.wc-block-components-quantity-selector__button--plus {
    border-radius: 0 4px 4px 0;
    order: 3;
    background: var(--theme-yellow);
    color: var(--theme-gray-2);
}

.wc-block-components-quantity-selector>.wc-block-components-quantity-selector__button--minus {
    border-radius: 4px 0 0 4px;
    order: 1;
    background: var(--theme-yellow);
    color: var(--theme-gray-2);
}

.wc-block-components-formatted-money-amount {
    white-space: nowrap;
    color: var(--theme-blue-3);
    font-weight: 600;
}

.wc-block-components-checkout-return-to-cart-button {
    font-size: 0.85rem;
    color: var(--theme-gray-2);
    font-weight: 600;
    transition: all 50ms ease-in-out;
}

.wc-block-components-checkout-return-to-cart-button:hover {
    font-size: 0.85rem;
    color: var(--theme-yellow);
    font-weight: 600;
    transition: all 50ms ease-in-out;
}

.wc-block-cart-item__remove-link {
    transition: all 50ms ease-in-out;
    text-decoration: none !important;
}

.wc-block-cart-item__remove-link:hover {
    color: rgb(218, 19, 35) !important;
    transition: all 50ms ease-in-out;
}

.wc-block-components-product-badge {
    border: 0;
    border-radius: 15px;
    display: inline-block;
    font-size: .75em;
    font-weight: 600;
    padding: 0 .66em;
    text-transform: uppercase;
    white-space: nowrap;
    background: linear-gradient(90deg, #ffa001 60%, #ff5e00 100%);
    color: var(--theme-black);
}

.wc-block-components-product-badge > .wc-block-components-formatted-money-amount{
    color: var(--theme-black) !important;
}